# abstract KeyModifier(Int)

#### package lime.ui

#### from UInt, Int to UInt, Int

Available on all platforms

### Variables

###

`altKey:Bool`

###

`capsLock:Bool`

###

`ctrlKey:Bool`

###

`metaKey:Bool`

###

`numLock:Bool`

###

`shiftKey:Bool`

### Static variables

###

`staticinline read onlyALT:KeyModifier = (0x0100 | 0x0200)`

###

`staticinline read onlyCAPS_LOCK:KeyModifier = 0x2000`

###

`staticinline read onlyCTRL:KeyModifier = (0x0040 | 0x0080)`

###

`staticinline read onlyLEFT_ALT:KeyModifier = 0x0100`

###

`staticinline read onlyLEFT_CTRL:KeyModifier = 0x0040`

###

`staticinline read onlyLEFT_META:KeyModifier = 0x0400`

###

`staticinline read onlyLEFT_SHIFT:KeyModifier = 0x0001`

###

`staticinline read onlyMETA:KeyModifier = (0x0400 | 0x0800)`

###

`staticinline read onlyMODE:KeyModifier = 0x4000`

###

`staticinline read onlyNONE:KeyModifier = 0x0000`

###

`staticinline read onlyNUM_LOCK:KeyModifier = 0x1000`

###

`staticinline read onlyRIGHT_ALT:KeyModifier = 0x0200`

###

`staticinline read onlyRIGHT_CTRL:KeyModifier = 0x0080`

###

`staticinline read onlyRIGHT_META:KeyModifier = 0x0800`

###

`staticinline read onlyRIGHT_SHIFT:KeyModifier = 0x0002`

###

`staticinline read onlySHIFT:KeyModifier = (0x001 | 0x0002)`